Disable BGP
curl --request POST \
--url https://api.cloud.onidel.com/vm/{vm_id}/disable-bgp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe"
}
'import requests
url = "https://api.cloud.onidel.com/vm/{vm_id}/disable-bgp"
payload = { "team_id": "96616865-475e-4191-aba5-f89f0a4b71fe" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({team_id: '96616865-475e-4191-aba5-f89f0a4b71fe'})
};
fetch('https://api.cloud.onidel.com/vm/{vm_id}/disable-bgp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Virtual Machines
Disable BGP
Disable BGP for the VM.
POST
/
vm
/
{vm_id}
/
disable-bgp
Disable BGP
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
VM UUID
Body
application/json
Team ID. Default team will be used if not provided.
Example:
"96616865-475e-4191-aba5-f89f0a4b71fe"
Response
Successful operation
⌘I